using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;

namespace YBEE.EQM.Core;

/// <summary>
/// 任教科目
/// </summary>
[Comment("任教科目")]
public class SchoolTeacherCourse
{
    /// <summary>
    /// 机构ID
    /// </summary>
    [Comment("机构ID")]
    [Required]
    public short SysOrgId { get; set; }
    /// <summary>
    /// 学校教师ID
    /// </summary>
    [Comment("学校教师ID")]
    [Required]
    public int SchoolTeacherId { get; set; }
    /// <summary>
    /// 学校班级ID
    /// </summary>
    [Comment("学校班级ID")]
    [Required]
    public long SchoolClassId { get; set; }
    /// <summary>
    /// 科目ID
    /// </summary>
    [Comment("科目ID")]
    [Required]
    public short CourseId { get; set; }
    /// <summary>
    /// 学期ID
    /// </summary>
    [Comment("学期ID")]
    [Required]
    public short SemesterId { get; set; }
}
